Package org.apache.commons.math3.analysis.interpolation

# Class BicubicInterpolatingFunction

java.lang.Object
org.apache.commons.math3.analysis.interpolation.BicubicInterpolatingFunction

All Implemented Interfaces:
  `BivariateFunction`

public class BicubicInterpolatingFunction extends Object implements BivariateFunction
Function that implements the bicubic spline interpolation.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`BicubicInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValidPoint(double x, double y)`
Indicates whether a point is within the interpolation range.
`double`
`value(double x, double y)`
Compute the value for the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BicubicInterpolatingFunction

public BicubicInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY) throws DimensionMismatchException, NoDataException, NonMonotonicSequenceException

Parameters:
  `x` - Sample values of the x-coordinate, in increasing order.
  `y` - Sample values of the y-coordinate, in increasing order.
  `f` - Values of the function on every grid point.
  `dFdX` - Values of the partial derivative of function with respect to x on every grid point.
  `dFdY` - Values of the partial derivative of function with respect to y on every grid point.
  `d2FdXdY` - Values of the cross partial derivative of function on every grid point.
Throws:
  `DimensionMismatchException` - if the various arrays do not contain the expected number of elements.
  `NonMonotonicSequenceException` - if `x` or `y` are not strictly increasing.
  `NoDataException` - if any of the arrays has zero length.

## Method Details

### value

public double value(double x, double y) throws OutOfRangeException
Compute the value for the function.

Specified by:
  `value` in interface `BivariateFunction`
Parameters:
  `x` - Abscissa for which the function value should be computed.
  `y` - Ordinate for which the function value should be computed.
Returns:
  the value.
Throws:
  `OutOfRangeException`

### isValidPoint

public boolean isValidPoint(double x, double y)
Indicates whether a point is within the interpolation range.

Parameters:
  `x` - First coordinate.
  `y` - Second coordinate.
Returns:
  `true` if (x, y) is a valid point.